Bug 2023035 - Failed to suspend, reboot, and poweroff
Summary: Failed to suspend, reboot, and poweroff
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 35
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-14 07:00 UTC by Syaifur Rizal
Modified: 2021-11-23 06:07 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-23 06:07:18 UTC
Type: Bug


Attachments (Terms of Use)
The attachment includes report from current boot and each session with failed to suspend, reboot, and shutdown. (26.99 KB, application/x-xz)
2021-11-14 07:00 UTC, Syaifur Rizal
no flags Details
Dmesg from ISO test-week (26.92 KB, application/x-xz)
2021-11-15 03:59 UTC, Syaifur Rizal
no flags Details

Description Syaifur Rizal 2021-11-14 07:00:33 UTC
Created attachment 1841628 [details]
The attachment includes report from current boot and each session with failed to suspend, reboot, and shutdown.

1. Please describe the problem:

On Fedora 35 with kernel-5.15.2-200.fc35 on test-week, my system with AMD A9-9420 radeon r5 failed to suspend, reboot, and poweroff.

2. What is the Version-Release number of the kernel:

kernel-5.15.2-200.fc35

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

kernel-5.15.2-200.fc35

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

Following installation procedure from Test Day 2021-11-14.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:


6. Are you running any modules that not shipped with directly Fedora's kernel?:

No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Ryan 2021-11-14 08:12:35 UTC
Happening for me also on my Dell Inspiron 3180 (Radeon R5 gfx, AMD A9-9420e). Works fine in Kernel 5.14.18.

Comment 2 Syaifur Rizal 2021-11-15 03:59:43 UTC
Created attachment 1841741 [details]
Dmesg from ISO test-week

Comment 3 Syaifur Rizal 2021-11-15 04:04:37 UTC
Today I try to use test-week ISO (f34) file provided from https://jforbes.fedorapeople.org/testweek/ and there still same problem; cannot suspend, reboot, and shutdown.

But kernel regression tests are passed (on performance test there some warnings, but all pass and no vulnerabilities messages on the end after submitting logs online).

Comment 4 Matt Fagnani 2021-11-20 13:01:50 UTC
5.15.2 and 5.15.3 haven't shut down, rebooted, or suspended properly in a F35 KDE Plasma installation. When I've shut down or rebooted with the 5.15 kernels, the systemd and dracut messages appeared normally, and the screen shut off. The laptop power didn't shut off even after a few minutes. The laptop fan sometimes became increasingly loud. When I selected Sleep from sddm with those kernels, the screen shut off, and the journal messages appeared to show the suspend state being reached. The system wouldn't wake up normally though, and the power light remained solid instead of blinking as usual when sleeping. The fan became increasingly loud over a minute or so. The caps lock LED blinked four times quickly then twice slowly which indicated the CPU was overheating according to the hp site. The system shut off 1.5-2 minutes after selecting Sleep. The system is an hp laptop with an AMD A10-9620P CPU and Radeon R5 integrated GPU. The problem didn't affect 5.14.20 or earlier.

The report at https://bugzilla.kernel.org/show_bug.cgi?id=214921 described the problem with 5.15.0-5.15.2 and the same CPU/GPU. The amdgpu uvd (unified video decoder) wasn't shut down properly with those kernel versions. Alex Deucher wrote "Should be fixed with this patch:
https://patchwork.freedesktop.org/series/96646/ " https://bugzilla.kernel.org/show_bug.cgi?id=214921#c5

Comment 5 Ryan 2021-11-20 22:07:27 UTC
On 5.15.3 I can put the laptop to sleep properly, but shutdown isn't working for me

Comment 6 Syaifur Rizal 2021-11-23 06:07:18 UTC
The problem I believe comes from `amdgpu`. When I exclude it from `initramfs`, the problem with failed to `shutdown` and `reboot` are gone. The `suspend` also work but the failed to `wake up` from `suspend`.

I close this report since I believe it's from kernel upstream bug and not from Fedora.


Note You need to log in before you can comment on or make changes to this bug.